summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/support/ketcindy/forMac
diff options
context:
space:
mode:
Diffstat (limited to 'Master/texmf-dist/doc/support/ketcindy/forMac')
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.conf4
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.ini6
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacE.pdfbin0 -> 22038 bytes
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacJ.pdfbin0 -> 73305 bytes
-rwxr-xr-xMaster/texmf-dist/doc/support/ketcindy/forMac/setketcindy.command93
-rwxr-xr-xMaster/texmf-dist/doc/support/ketcindy/forMac/setwork.command85
6 files changed, 188 insertions, 0 deletions
diff --git a/Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.conf b/Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.conf
new file mode 100644
index 00000000000..376bb364135
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.conf
@@ -0,0 +1,4 @@
+// Re-setting PathT,PathR,Pathpdf,PathM,PathAd,Mackc
+PathT=PathThead+"uplatex";
+Pathpdf="preview";
+Mackc="open";
diff --git a/Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.ini b/Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.ini
new file mode 100644
index 00000000000..c65e2204756
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forMac/Forsettingmanually/ketcindy.ini
@@ -0,0 +1,6 @@
+PathThead="/Applications/kettex/texlive/bin/x86_64-darwin/";
+Dirhead="/Applications/kettex/texlive/texmf-dist/scripts/ketcindy";
+Homehead="/Users";
+setdirectory(Dirhead);
+import("setketcindy.txt");
+import("ketoutset.txt");
diff --git a/Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacE.pdf b/Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacE.pdf
new file mode 100644
index 00000000000..7c5d7188785
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacE.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacJ.pdf b/Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacJ.pdf
new file mode 100644
index 00000000000..af7810ee309
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forMac/ReadmeMacJ.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/support/ketcindy/forMac/setketcindy.command b/Master/texmf-dist/doc/support/ketcindy/forMac/setketcindy.command
new file mode 100755
index 00000000000..174300cf88d
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forMac/setketcindy.command
@@ -0,0 +1,93 @@
+#!/bin/sh
+# 20181207
+
+# Edit and uncomment the following lines if necessary
+#texpath=/Applications/kettex/texlive
+#texbinpath=${texpath}/bin/x86_64-darwin
+#ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+#ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+#ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+homehead=/Users
+cindyplug=/Applications/Cinderella2.app/Contents/PlugIns
+
+echo Plugins of Cinderella
+read -p ' '${cindyplug}?' (y/n): ' ans
+if [ ${ans} != "y" ]; then
+ echo Edit cindyplug in this file
+ sleep 2
+ exit 0
+fi
+echo Cinderella Plugins=${cindyplug}
+
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+
+echo `pwd ` will be used
+echo 1. "/Applications/kettex/texlive".
+echo 2. "/Applications/kettex.app/texlive"
+echo 3. "/Library/TeX (TeXLive)"
+echo 4. Modification of this file is finished
+read -p 'Choose path of TeX from the above (number) : ' ans
+if [ ${ans} = "1" ]; then
+ texpath=/Applications/kettex/texlive
+ texbinpath=${texpath}/bin/x86_64-darwin
+ ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+fi
+if [ ${ans} = "2" ]; then
+ texpath=/Applications/kettex.app/texlive
+ texbinpath=${texpath}/bin/x86_64-darwin
+ ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+fi
+if [ ${ans} = "3" ]; then
+ texpath=/Library/TeX/Root
+ texbinpath=/Library/TeX/texbin
+ ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+fi
+echo texpath=${texpath}
+echo texbinpath=${texbinpath}
+#read -p 'Do you really copy ketcindyscripts? (y,n): ' ans
+#if [ ${ans} = "y" ]; then
+ echo copying scripts
+ sudo cp -r -p scripts/ ${ketcindyscripts}/
+ if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+ else
+ echo "scripts copied to "${ketcindyscripts}
+ fi
+#fi
+sudo cp -r -p doc/ ${ketcindydoc}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "doc copied to "${ketcindydoc}
+fi
+sudo cp -r -p style/ ${ketcindystyle}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "styles copied to "${ketcindystyle}
+ sudo ${texbinpath}/mktexlsr
+fi
+
+cd ${ketcindyscripts}
+cp -p ketjava/KetCindyPlugin.jar ${cindyplug}
+echo "PathThead=\"${texbinpath}/\";" > ${cindyplug}/ketcindy.ini
+echo "Dirhead=\"${ketcindyscripts}\";" >> ${cindyplug}/ketcindy.ini
+echo "Homehead=\"${homehead}\";" >> ${cindyplug}/ketcindy.ini
+echo "setdirectory(Dirhead);" >> ${cindyplug}/ketcindy.ini
+echo "import(\"setketcindy.txt\");" >> ${cindyplug}/ketcindy.ini
+echo "import(\"ketoutset.txt\");" >> ${cindyplug}/ketcindy.ini
+echo "KetCindyPlugin and others copied to Cinderella"
+sleep 1
+exit 0 \ No newline at end of file
diff --git a/Master/texmf-dist/doc/support/ketcindy/forMac/setwork.command b/Master/texmf-dist/doc/support/ketcindy/forMac/setwork.command
new file mode 100755
index 00000000000..b664316cda6
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forMac/setwork.command
@@ -0,0 +1,85 @@
+#!/bin/sh
+# 20190217
+# 190217from
+pathM="/Applications/Maxima.app/Contents/Resources/maxima.sh"
+pathMn="/Applications/Maxima.app/Contents/Resources/opt/bin/maxima"
+# 109217to
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+echo Files will be copied from
+echo " "`pwd`/work
+changesetting=/.ketcindy.conf #181017
+dist=~/ketcindy #180913
+cp -r -p work/ ${dist}/
+if [ $? -gt 0 ]; then
+ echo Error:$?
+ sleep 5
+else
+ echo Workfolder has been generated as ${dist}
+ echo " "This folder can be moved to any place ##180913
+fi
+echo "Choose TeX with the 1st(+2nd) character"
+read -p 'p=platex, u=uplatex, l=latex, x=xelatex, pd=pdflatex, lu=lualatex:' tex
+if [ ${tex} = "p" ]; then
+ tex="platex"
+ cd doc/ketmanual
+ cp -p KeTCindyReferenceJ.pdf ${dist}
+ cp -p KeTCindyGuideJ.pdf ${dist}
+ cp -p KeTpicStyleJ.pdf ${dist}
+fi
+if [ ${tex} = "u" ]; then
+ tex="uplatex"
+ cd doc/ketmanual
+ cp -p KeTCindyReferenceJ.pdf ${dist}
+ cp -p KeTCindyGuideJ.pdf ${dist}
+ cp -p KeTpicStyleJ.pdf ${dist}
+fi
+if [ ${tex} = "l" ]; then
+ tex="latex"
+ cd doc/ketmanual
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTpicStyleE.pdf ${dist}
+fi
+if [ ${tex} = "x" ]; then
+ tex="xelatex"
+ cd ketmanual
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTpicStyleE.pdf ${dist}
+fi
+if [ ${tex} = "pd" ]; then
+ tex="pdflatex"
+ cd doc/ketmanual
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTpicStyleE.pdf ${dist}
+fi
+if [ ${tex} = "lu" ]; then
+ tex="lualatex"
+ cd doc/ketmanual
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTpicStyleE.pdf ${dist}
+fi
+dist=~ #180913
+echo generating ${dist}/${changesetting}
+echo // Re-setting PathT,PathR,Pathpdf,PathM,PathAd,Mackc >${dist}${changesetting}
+echo "PathT=PathThead+\"${tex}\";" >>${dist}${changesetting}
+read -p 'Choose pdfviewer from preview(p),skim(s): ' ans
+if [ ${ans} = "s" ]; then
+ echo "Pathpdf=\"skim\";" >> ${dist}${changesetting}
+else
+ echo "Pathpdf=\"preview\";" >> ${dist}${changesetting}
+fi
+# 190217from
+find -f ${pathM}
+if [ $? -gt 0 ]; then
+ echo "PathM=\"${pathMn}\";" >> ${dist}${changesetting}
+fi
+# 190217to
+echo "Mackc=\"open\";" >>${dist}${changesetting}
+sleep 1
+exit 0 \ No newline at end of file